package com.winhc.bigdata.spark.jobs.dynamic.tables
import com.winhc.bigdata.spark.implicits.MapHelper._

import com.winhc.bigdata.spark.jobs.dynamic.CompanyDynamicHandle

case class company_zxr_list() extends CompanyDynamicHandle{
  /**
   * 信息描述
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_rta_desc(old_map: Map[String, String], new_map: Map[String, String]): String = new_map("case_no")

  /**
   * 变更内容
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_change_content(old_map: Map[String, String], new_map: Map[String, String], cname: String = null): String = new_map.toJson(Seq("case_create_time->立案日期","case_no->案号","exec_money->执行标的"))

  /**
   * 风险等级
   *
   * @param old_map
   * @param new_map
   * @return
   */
  override protected def get_info_risk_level(old_map: Map[String, String], new_map: Map[String, String]): String = "高风险"

  /**
   *
   * @param rowkey
   * @param cid
   * @param change_fields
   * @param old_map
   * @param new_map
   * @return cid
   *         cname
   *         info_type
   *         rta_desc
   *         change_content
   *         change_time
   *         biz_id
   *         sub_info_type
   *         info_risk_level
   *         winhc_suggest
   */
  override def handle(rowkey: String, bizDate: String, cid: String, change_fields: Seq[String], old_map: Map[String, String], new_map: Map[String, String], cname: String, suggestion: String): Seq[(String, String, String, String, String, String, String, String, String, String)] = {
    if ("1".equals(new_map("deleted"))) {
      return Seq.empty
    }

    super.handle(rowkey, bizDate, cid, change_fields, old_map, new_map, cname, "该企业是被执行人")


  }
}
